declare global {
    namespace jasmine {
        interface Matchers<T> {
            /**
             * Asserts that ${value} is a valid instance of `Date` whose value occurs after that of ${otherDate}.
             * @example
             * expect(new Date('2020-01-01')).toBeAfter(new Date('2019-12-31'));
             */
            toBeAfter(otherDate: Date): boolean;
        }
    }
}
export declare const toBeAfterMatcher: () => {
    compare(value: any, otherDate: Date): {
        message: string;
        pass: boolean;
    };
};
