declare global {
    namespace jasmine {
        interface Matchers<T> {
            /**
             * Asserts that ${value} is an `Array` containing ${size} number of values.
             * @example
             * expect(['i', 'contain', 4, 'items']).toBeArrayOfSize(4);
             */
            toBeArrayOfSize(size: number): boolean;
        }
    }
}
export declare const toBeArrayOfSizeMatcher: () => {
    compare(value: any, size: number): {
        message: string;
        pass: boolean;
    };
};
