"use strict";
exports.__esModule = true;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
exports.toBeArrayOfSizeMatcher = function () {
    return {
        compare: function (value, size) {
            var pass = expect_more_1.isArrayOfSize(size, value);
            var message = pass
                ? "expected " + jest_matcher_utils_1.printReceived(value) + " not to be an array containing exactly " + jest_matcher_utils_1.printExpected(size) + " items"
                : "expected " + jest_matcher_utils_1.printReceived(value) + " to be an array containing exactly " + jest_matcher_utils_1.printExpected(size) + " items";
            return { message: message, pass: pass };
        }
    };
};
beforeAll(function () {
    jasmine.addMatchers({
        toBeArrayOfSize: exports.toBeArrayOfSizeMatcher
    });
});
