"use strict";
exports.__esModule = true;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
exports.toBeAsyncFunctionMatcher = function () {
    return {
        compare: function (value) {
            var pass = expect_more_1.isAsyncFunction(value);
            var message = pass
                ? "expected " + jest_matcher_utils_1.printReceived(value) + " not to be a function using async/await syntax"
                : "expected " + jest_matcher_utils_1.printReceived(value) + " to be a `Function` using async/await syntax";
            return { message: message, pass: pass };
        }
    };
};
beforeAll(function () {
    jasmine.addMatchers({
        toBeAsyncFunction: exports.toBeAsyncFunctionMatcher
    });
});
