declare global {
    namespace jasmine {
        interface Matchers<T> {
            /**
             * Asserts that ${value} is a valid instance of `Date` whose value occurs before that of ${otherDate}.
             * @example
             * expect(new Date('2019-12-31')).toBeBefore(new Date('2020-01-01'));
             */
            toBeBefore(otherDate: Date): boolean;
        }
    }
}
export declare const toBeBeforeMatcher: () => {
    compare(value: any, otherDate: Date): {
        message: string;
        pass: boolean;
    };
};
