declare global {
    namespace jasmine {
        interface Matchers<T> {
            /**
             * Assert value can be used in Mathemetic calculations despite not being a `Number`, for example `'1' * '2' === 2` whereas `'wut?' * 2 === NaN`.
             * @example
             * expect('100').toBeCalculable();
             */
            toBeCalculable(): boolean;
        }
    }
}
export declare const toBeCalculableMatcher: () => {
    compare(value: any): {
        message: string;
        pass: boolean;
    };
};
