declare global {
    namespace jasmine {
        interface Matchers<T> {
            /**
             * Asserts that ${value} is a `Number` which results in a whole number when divided by ${otherNumber}.
             * @example
             * expect(12).toBeDivisibleBy(2);
             */
            toBeDivisibleBy(otherNumber: number): boolean;
        }
    }
}
export declare const toBeDivisibleByMatcher: () => {
    compare(value: any, otherNumber: number): {
        message: string;
        pass: boolean;
    };
};
