declare global {
    namespace jasmine {
        interface Matchers<T> {
            /**
             * Asserts that ${value} is a String which conforms to common use-cases of the ISO 8601 standard representation of dates and times.
             * @example
             * expect('1999-12-31T23:59:59').toBeIso8601();
             */
            toBeIso8601(): boolean;
        }
    }
}
export declare const toBeIso8601Matcher: () => {
    compare(value: any): {
        message: string;
        pass: boolean;
    };
};
