declare global {
    namespace jasmine {
        interface Matchers<T> {
            /**
             * Asserts that ${value} is a `String` or `Array` whose length is greater than that of ${otherStringOrArray}.
             * @example
             * expect(['i', 'have', 3]).toBeLongerThan([2, 'items']);
             */
            toBeLongerThan(otherStringOrArray: string | any[]): boolean;
        }
    }
}
export declare const toBeLongerThanMatcher: () => {
    compare(value: any, otherStringOrArray: string | any[]): {
        message: string;
        pass: boolean;
    };
};
