"use strict";
exports.__esModule = true;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
exports.toBeLongerThanMatcher = function () {
    return {
        compare: function (value, otherStringOrArray) {
            var pass = expect_more_1.isLongerThan(otherStringOrArray, value);
            var message = pass
                ? "expected " + jest_matcher_utils_1.printReceived(value) + " not to be a string or array whose length is greater than that of " + jest_matcher_utils_1.printExpected(otherStringOrArray)
                : "expected " + jest_matcher_utils_1.printReceived(value) + " to be a string or array whose length is greater than that of " + jest_matcher_utils_1.printExpected(otherStringOrArray);
            return { message: message, pass: pass };
        }
    };
};
beforeAll(function () {
    jasmine.addMatchers({
        toBeLongerThan: exports.toBeLongerThanMatcher
    });
});
