"use strict";
exports.__esModule = true;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
exports.toBeNonEmptyArrayMatcher = function () {
    return {
        compare: function (value) {
            var pass = expect_more_1.isNonEmptyArray(value);
            var message = pass
                ? "expected " + jest_matcher_utils_1.printReceived(value) + " not to be an array with at least one item"
                : "expected " + jest_matcher_utils_1.printReceived(value) + " to be an array with at least one item";
            return { message: message, pass: pass };
        }
    };
};
beforeAll(function () {
    jasmine.addMatchers({
        toBeNonEmptyArray: exports.toBeNonEmptyArrayMatcher
    });
});
