"use strict";
exports.__esModule = true;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
exports.toBeNonEmptyObjectMatcher = function () {
    return {
        compare: function (value) {
            var pass = expect_more_1.isNonEmptyObject(value);
            var message = pass
                ? "expected " + jest_matcher_utils_1.printReceived(value) + " not to be an object with at least one own member"
                : "expected " + jest_matcher_utils_1.printReceived(value) + " to be an object with at least one own member";
            return { message: message, pass: pass };
        }
    };
};
beforeAll(function () {
    jasmine.addMatchers({
        toBeNonEmptyObject: exports.toBeNonEmptyObjectMatcher
    });
});
