declare global {
    namespace jasmine {
        interface Matchers<T> {
            /**
             * Asserts that ${value} is a `String` or `Array` whose length is the same as that of ${otherStringOrArray}.
             * @example
             * expect(['i also have', '2 items']).toBeSameLengthAs(['i have', '2 items']);
             */
            toBeSameLengthAs(otherStringOrArray: string | any[]): boolean;
        }
    }
}
export declare const toBeSameLengthAsMatcher: () => {
    compare(value: any, otherStringOrArray: string | any[]): {
        message: string;
        pass: boolean;
    };
};
