declare global {
    namespace jasmine {
        interface Matchers<T> {
            /**
             * Asserts that ${value} is a `String` or `Array` whose length is less than that of ${otherStringOrArray}.
             * @example
             * expect(['i have one item']).toBeShorterThan(['i', 'have', 4, 'items']);
             */
            toBeShorterThan(otherStringOrArray: string | any[]): boolean;
        }
    }
}
export declare const toBeShorterThanMatcher: () => {
    compare(value: any, otherStringOrArray: string | any[]): {
        message: string;
        pass: boolean;
    };
};
