declare global {
    namespace jasmine {
        interface Matchers<T> {
            /**
             * Asserts that ${value} is an instance of `Date` whose internal value is valid. `Date` is little like `Promise` in that it is a container for a value. For example, `new Date('wut?')` is a valid `Date` which wraps a value that is not valid.
             * @example
             * expect(new Date('2020-01-01')).toBeValidDate();
             */
            toBeValidDate(): boolean;
        }
    }
}
export declare const toBeValidDateMatcher: () => {
    compare(value: any): {
        message: string;
        pass: boolean;
    };
};
