"use strict";
exports.__esModule = true;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
exports.toBeValidDateMatcher = function () {
    return {
        compare: function (value) {
            var pass = expect_more_1.isValidDate(value);
            var message = pass
                ? "expected " + jest_matcher_utils_1.printReceived(value) + " not to be an instance of Date with a valid value"
                : "expected " + jest_matcher_utils_1.printReceived(value) + " to be an instance of Date with a valid value";
            return { message: message, pass: pass };
        }
    };
};
beforeAll(function () {
    jasmine.addMatchers({
        toBeValidDate: exports.toBeValidDateMatcher
    });
});
