"use strict";
exports.__esModule = true;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
exports.toBeWalkableMatcher = function () {
    return {
        compare: function (value) {
            var pass = expect_more_1.isWalkable(value);
            var message = pass
                ? "expected " + jest_matcher_utils_1.printReceived(value) + " not to be walkable"
                : "expected " + jest_matcher_utils_1.printReceived(value) + " to be walkable";
            return { message: message, pass: pass };
        }
    };
};
beforeAll(function () {
    jasmine.addMatchers({
        toBeWalkable: exports.toBeWalkableMatcher
    });
});
