"use strict";
exports.__esModule = true;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
exports.toBeWholeNumberMatcher = function () {
    return {
        compare: function (value) {
            var pass = expect_more_1.isWholeNumber(value);
            var message = pass
                ? "expected " + jest_matcher_utils_1.printReceived(value) + " not to be a whole number"
                : "expected " + jest_matcher_utils_1.printReceived(value) + " to be a whole number";
            return { message: message, pass: pass };
        }
    };
};
beforeAll(function () {
    jasmine.addMatchers({
        toBeWholeNumber: exports.toBeWholeNumberMatcher
    });
});
