declare global {
    namespace jasmine {
        interface Matchers<T> {
            /**
             * Asserts that ${value} is a `Number` which is both greater than or equal to ${floor} and less than or equal to ${ceiling}.
             * @example
             * expect(7).toBeWithinRange(0, 10);
             */
            toBeWithinRange(floor: number, ceiling: number): boolean;
        }
    }
}
export declare const toBeWithinRangeMatcher: () => {
    compare(value: any, floor: number, ceiling: number): {
        message: string;
        pass: boolean;
    };
};
