"use strict";
exports.__esModule = true;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
exports.toBeWithinRangeMatcher = function () {
    return {
        compare: function (value, floor, ceiling) {
            var pass = expect_more_1.isWithinRange(floor, ceiling, value);
            var message = pass
                ? "expected " + jest_matcher_utils_1.printReceived(value) + " not to be greater than or equal to " + jest_matcher_utils_1.printExpected(floor) + " and less than or equal to " + jest_matcher_utils_1.printExpected(ceiling)
                : "expected " + jest_matcher_utils_1.printReceived(value) + " to be greater than or equal to " + jest_matcher_utils_1.printExpected(floor) + " and less than or equal to " + jest_matcher_utils_1.printExpected(ceiling);
            return { message: message, pass: pass };
        }
    };
};
beforeAll(function () {
    jasmine.addMatchers({
        toBeWithinRange: exports.toBeWithinRangeMatcher
    });
});
