declare global {
    namespace jasmine {
        interface Matchers<T> {
            /**
             * Asserts that ${value} is an `Array` containing only `Boolean` values.
             * @example
             * expect({ child: { grandchild: [true, false, new Boolean(true)] } }).toHaveArrayOfBooleans('child.grandchild');
             */
            toHaveArrayOfBooleans(propPath: string): boolean;
        }
    }
}
export declare const toHaveArrayOfBooleansMatcher: () => {
    compare(value: any, propPath: string): {
        message: string;
        pass: boolean;
    };
};
