declare global {
    namespace jasmine {
        interface Matchers<T> {
            /**
             * Asserts that ${value} is an `Array` containing only `Number` values.
             * @example
             * expect({ child: { grandchild: [12, 0, 14] } }).toHaveArrayOfNumbers('child.grandchild');
             */
            toHaveArrayOfNumbers(propPath: string): boolean;
        }
    }
}
export declare const toHaveArrayOfNumbersMatcher: () => {
    compare(value: any, propPath: string): {
        message: string;
        pass: boolean;
    };
};
