declare global {
    namespace jasmine {
        interface Matchers<T> {
            /**
             * Asserts that ${value} is an `Array` containing only `Object` values.
             * @example
             * expect({ child: { grandchild: [{}, new Object()] } }).toHaveArrayOfObjects('child.grandchild');
             */
            toHaveArrayOfObjects(propPath: string): boolean;
        }
    }
}
export declare const toHaveArrayOfObjectsMatcher: () => {
    compare(value: any, propPath: string): {
        message: string;
        pass: boolean;
    };
};
