declare global {
    namespace jasmine {
        interface Matchers<T> {
            /**
             * Asserts that ${value} is an `Array` containing ${size} number of values.
             * @example
             * expect({ child: { grandchild: ['i', 'contain', 4, 'items'] } }).toHaveArrayOfSize('child.grandchild', 4);
             */
            toHaveArrayOfSize(propPath: string, size: number): boolean;
        }
    }
}
export declare const toHaveArrayOfSizeMatcher: () => {
    compare(value: any, propPath: string, size: number): {
        message: string;
        pass: boolean;
    };
};
