"use strict";
exports.__esModule = true;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
var get_in_1 = require("./lib/get-in");
exports.toHaveArrayOfSizeMatcher = function () {
    return {
        compare: function (value, propPath, size) {
            var pass = expect_more_1.isArrayOfSize(size, get_in_1.getIn(propPath.split('.'), value));
            var message = pass
                ? "expected value at '" + jest_matcher_utils_1.printExpected(propPath) + "' not to be an array containing exactly " + jest_matcher_utils_1.printExpected(size) + " items"
                : "expected value at '" + jest_matcher_utils_1.printExpected(propPath) + "' to be an array containing exactly " + jest_matcher_utils_1.printExpected(size) + " items";
            return { message: message, pass: pass };
        }
    };
};
beforeAll(function () {
    jasmine.addMatchers({
        toHaveArrayOfSize: exports.toHaveArrayOfSizeMatcher
    });
});
