declare global {
    namespace jasmine {
        interface Matchers<T> {
            /**
             * Asserts that ${value} is an `Array` containing only `String` values.
             * @example
             * expect({ child: { grandchild: ['we', 'are', 'all', 'strings'] } }).toHaveArrayOfStrings('child.grandchild');
             */
            toHaveArrayOfStrings(propPath: string): boolean;
        }
    }
}
export declare const toHaveArrayOfStringsMatcher: () => {
    compare(value: any, propPath: string): {
        message: string;
        pass: boolean;
    };
};
