"use strict";
exports.__esModule = true;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
var get_in_1 = require("./lib/get-in");
exports.toHaveArrayOfStringsMatcher = function () {
    return {
        compare: function (value, propPath) {
            var pass = expect_more_1.isArrayOfStrings(get_in_1.getIn(propPath.split('.'), value));
            var message = pass
                ? "expected value at '" + jest_matcher_utils_1.printExpected(propPath) + "' not to be a non-empty array, containing only strings"
                : "expected value at '" + jest_matcher_utils_1.printExpected(propPath) + "' to be a non-empty array, containing only strings";
            return { message: message, pass: pass };
        }
    };
};
beforeAll(function () {
    jasmine.addMatchers({
        toHaveArrayOfStrings: exports.toHaveArrayOfStringsMatcher
    });
});
