declare global {
    namespace jasmine {
        interface Matchers<T> {
            /**
             * Asserts that ${value} is a function using async/await syntax.
             * @example
             * expect({ child: { grandchild: async () => { await fetch('...') } } }).toHaveAsyncFunction('child.grandchild');
             */
            toHaveAsyncFunction(propPath: string): boolean;
        }
    }
}
export declare const toHaveAsyncFunctionMatcher: () => {
    compare(value: any, propPath: string): {
        message: string;
        pass: boolean;
    };
};
