declare global {
    namespace jasmine {
        interface Matchers<T> {
            /**
             * Assert value can be used in Mathemetic calculations despite not being a `Number`, for example `'1' * '2' === 2` whereas `'wut?' * 2 === NaN`.
             * @example
             * expect({ child: { grandchild: '100' } }).toHaveCalculable('child.grandchild');
             */
            toHaveCalculable(propPath: string): boolean;
        }
    }
}
export declare const toHaveCalculableMatcher: () => {
    compare(value: any, propPath: string): {
        message: string;
        pass: boolean;
    };
};
