declare global {
    namespace jasmine {
        interface Matchers<T> {
            /**
             * Asserts that ${value} is a valid instance of `Date` whose value occurs after that of ${otherDate}.
             * @example
             * expect({ child: { grandchild: new Date('2020-01-01') } }).toHaveDateAfter('child.grandchild', new Date('2019-12-31'));
             */
            toHaveDateAfter(propPath: string, otherDate: Date): boolean;
        }
    }
}
export declare const toHaveDateAfterMatcher: () => {
    compare(value: any, propPath: string, otherDate: Date): {
        message: string;
        pass: boolean;
    };
};
