declare global {
    namespace jasmine {
        interface Matchers<T> {
            /**
             * Asserts that ${value} is a valid instance of `Date` whose value occurs before that of ${otherDate}.
             * @example
             * expect({ child: { grandchild: new Date('2019-12-31') } }).toHaveDateBefore('child.grandchild', new Date('2020-01-01'));
             */
            toHaveDateBefore(propPath: string, otherDate: Date): boolean;
        }
    }
}
export declare const toHaveDateBeforeMatcher: () => {
    compare(value: any, propPath: string, otherDate: Date): {
        message: string;
        pass: boolean;
    };
};
