"use strict";
exports.__esModule = true;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
var get_in_1 = require("./lib/get-in");
exports.toHaveDateBeforeMatcher = function () {
    return {
        compare: function (value, propPath, otherDate) {
            var pass = expect_more_1.isBefore(otherDate, get_in_1.getIn(propPath.split('.'), value));
            var message = pass
                ? "expected value at '" + jest_matcher_utils_1.printExpected(propPath) + "' not to be an instance of Date, occurring before " + jest_matcher_utils_1.printExpected(otherDate)
                : "expected value at '" + jest_matcher_utils_1.printExpected(propPath) + "' to be an instance of Date, occurring before " + jest_matcher_utils_1.printExpected(otherDate);
            return { message: message, pass: pass };
        }
    };
};
beforeAll(function () {
    jasmine.addMatchers({
        toHaveDateBefore: exports.toHaveDateBeforeMatcher
    });
});
