declare global {
    namespace jasmine {
        interface Matchers<T> {
            /**
             * Asserts that ${value} is a `Number` with positive decimal places.
             * @example
             * expect({ child: { grandchild: 12.55 } }).toHaveDecimalNumber('child.grandchild');
             */
            toHaveDecimalNumber(propPath: string): boolean;
        }
    }
}
export declare const toHaveDecimalNumberMatcher: () => {
    compare(value: any, propPath: string): {
        message: string;
        pass: boolean;
    };
};
