declare global {
    namespace jasmine {
        interface Matchers<T> {
            /**
             * Asserts that ${value} is a `Number` which results in a whole number when divided by ${otherNumber}.
             * @example
             * expect({ child: { grandchild: 12 } }).toHaveDivisibleBy('child.grandchild', 2);
             */
            toHaveDivisibleBy(propPath: string, otherNumber: number): boolean;
        }
    }
}
export declare const toHaveDivisibleByMatcher: () => {
    compare(value: any, propPath: string, otherNumber: number): {
        message: string;
        pass: boolean;
    };
};
