"use strict";
exports.__esModule = true;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
var get_in_1 = require("./lib/get-in");
exports.toHaveDivisibleByMatcher = function () {
    return {
        compare: function (value, propPath, otherNumber) {
            var pass = expect_more_1.isDivisibleBy(otherNumber, get_in_1.getIn(propPath.split('.'), value));
            var message = pass
                ? "expected value at '" + jest_matcher_utils_1.printExpected(propPath) + "' not to be divisible by " + jest_matcher_utils_1.printExpected(otherNumber)
                : "expected value at '" + jest_matcher_utils_1.printExpected(propPath) + "' to be divisible by " + jest_matcher_utils_1.printExpected(otherNumber);
            return { message: message, pass: pass };
        }
    };
};
beforeAll(function () {
    jasmine.addMatchers({
        toHaveDivisibleBy: exports.toHaveDivisibleByMatcher
    });
});
