declare global {
    namespace jasmine {
        interface Matchers<T> {
            /**
             * Asserts that ${value} is a valid `Array` containing no items.
             * @example
             * expect({ child: { grandchild: [] } }).toHaveEmptyArray('child.grandchild');
             */
            toHaveEmptyArray(propPath: string): boolean;
        }
    }
}
export declare const toHaveEmptyArrayMatcher: () => {
    compare(value: any, propPath: string): {
        message: string;
        pass: boolean;
    };
};
