declare global {
    namespace jasmine {
        interface Matchers<T> {
            /**
             * Asserts that ${value} is a valid `Object` containing no instance members.
             * @example
             * expect({ child: { grandchild: {} } }).toHaveEmptyObject('child.grandchild');
             */
            toHaveEmptyObject(propPath: string): boolean;
        }
    }
}
export declare const toHaveEmptyObjectMatcher: () => {
    compare(value: any, propPath: string): {
        message: string;
        pass: boolean;
    };
};
