declare global {
    namespace jasmine {
        interface Matchers<T> {
            /**
             * Asserts that ${value} is a valid `String` containing no characters.
             * @example
             * expect({ child: { grandchild: '' } }).toHaveEmptyString('child.grandchild');
             */
            toHaveEmptyString(propPath: string): boolean;
        }
    }
}
export declare const toHaveEmptyStringMatcher: () => {
    compare(value: any, propPath: string): {
        message: string;
        pass: boolean;
    };
};
