declare global {
    namespace jasmine {
        interface Matchers<T> {
            /**
             * Asserts that ${value} is a string whose trailing characters are equal to ${otherString}.
             * @example
             * expect({ child: { grandchild: 'JavaScript' } }).toHaveEndingWith('child.grandchild', 'Script');
             */
            toHaveEndingWith(propPath: string, otherString: string): boolean;
        }
    }
}
export declare const toHaveEndingWithMatcher: () => {
    compare(value: any, propPath: string, otherString: string): {
        message: string;
        pass: boolean;
    };
};
