declare global {
    namespace jasmine {
        interface Matchers<T> {
            /**
             * Asserts that ${value} is a `Function` using yield syntax.
             * @example
             * expect({ child: { grandchild: function* gen() { yield 'i am a generator' } } }).toHaveGeneratorFunction('child.grandchild');
             */
            toHaveGeneratorFunction(propPath: string): boolean;
        }
    }
}
export declare const toHaveGeneratorFunctionMatcher: () => {
    compare(value: any, propPath: string): {
        message: string;
        pass: boolean;
    };
};
