declare global {
    namespace jasmine {
        interface Matchers<T> {
            /**
             * Asserts that ${value} is greater than or equal to ${otherNumber}.
             * @example
             * expect({ child: { grandchild: 10 } }).toHaveGreaterThanOrEqualTo('child.grandchild', 5);
             */
            toHaveGreaterThanOrEqualTo(propPath: string, otherNumber: number): boolean;
        }
    }
}
export declare const toHaveGreaterThanOrEqualToMatcher: () => {
    compare(value: any, propPath: string, otherNumber: number): {
        message: string;
        pass: boolean;
    };
};
