declare global {
    namespace jasmine {
        interface Matchers<T> {
            /**
             * Asserts that ${value} is a String which conforms to common use-cases of the ISO 8601 standard representation of dates and times.
             * @example
             * expect({ child: { grandchild: '1999-12-31T23:59:59' } }).toHaveIso8601('child.grandchild');
             */
            toHaveIso8601(propPath: string): boolean;
        }
    }
}
export declare const toHaveIso8601Matcher: () => {
    compare(value: any, propPath: string): {
        message: string;
        pass: boolean;
    };
};
