declare global {
    namespace jasmine {
        interface Matchers<T> {
            /**
             * Asserts that ${value} is less than or equal to ${otherNumber}.
             * @example
             * expect({ child: { grandchild: 8 } }).toHaveLessThanOrEqualTo('child.grandchild', 12);
             */
            toHaveLessThanOrEqualTo(propPath: string, otherNumber: number): boolean;
        }
    }
}
export declare const toHaveLessThanOrEqualToMatcher: () => {
    compare(value: any, propPath: string, otherNumber: number): {
        message: string;
        pass: boolean;
    };
};
