declare global {
    namespace jasmine {
        interface Matchers<T> {
            /**
             * Asserts that ${value} is a `String` or `Array` whose length is greater than that of ${otherStringOrArray}.
             * @example
             * expect({ child: { grandchild: ['i', 'have', 3] } }).toHaveLongerThan('child.grandchild', [2, 'items']);
             */
            toHaveLongerThan(propPath: string, otherStringOrArray: string | any[]): boolean;
        }
    }
}
export declare const toHaveLongerThanMatcher: () => {
    compare(value: any, propPath: string, otherStringOrArray: string | any[]): {
        message: string;
        pass: boolean;
    };
};
