declare global {
    namespace jasmine {
        interface Matchers<T> {
            /**
             * Asserts that ${value} is an `Array` containing at least one value.
             * @example
             * expect({ child: { grandchild: ['i', 'am not empty'] } }).toHaveNonEmptyArray('child.grandchild');
             */
            toHaveNonEmptyArray(propPath: string): boolean;
        }
    }
}
export declare const toHaveNonEmptyArrayMatcher: () => {
    compare(value: any, propPath: string): {
        message: string;
        pass: boolean;
    };
};
