declare global {
    namespace jasmine {
        interface Matchers<T> {
            /**
             * Asserts that ${value} is an `Object` containing at least one own member.
             * @example
             * expect({ child: { grandchild: { i: 'am not empty' } } }).toHaveNonEmptyObject('child.grandchild');
             */
            toHaveNonEmptyObject(propPath: string): boolean;
        }
    }
}
export declare const toHaveNonEmptyObjectMatcher: () => {
    compare(value: any, propPath: string): {
        message: string;
        pass: boolean;
    };
};
