declare global {
    namespace jasmine {
        interface Matchers<T> {
            /**
             * Asserts that ${value} is a valid `String` containing at least one character.
             * @example
             * expect({ child: { grandchild: 'i am not empty' } }).toHaveNonEmptyString('child.grandchild');
             */
            toHaveNonEmptyString(propPath: string): boolean;
        }
    }
}
export declare const toHaveNonEmptyStringMatcher: () => {
    compare(value: any, propPath: string): {
        message: string;
        pass: boolean;
    };
};
