declare global {
    namespace jasmine {
        interface Matchers<T> {
            /**
             * Asserts that ${value} is a number within the given acceptable distance from ${otherNumber}.
             * @example
             * expect({ child: { grandchild: 4.8 } }).toHaveNumberNear('child.grandchild', 5, 0.5);
             */
            toHaveNumberNear(propPath: string, otherNumber: number, epsilon: number): boolean;
        }
    }
}
export declare const toHaveNumberNearMatcher: () => {
    compare(value: any, propPath: string, otherNumber: number, epsilon: number): {
        message: string;
        pass: boolean;
    };
};
