declare global {
    namespace jasmine {
        interface Matchers<T> {
            /**
             * Asserts that ${value} is a `Number` which is both greater than or equal to ${floor} and less than or equal to ${ceiling}.
             * @example
             * expect({ child: { grandchild: 7 } }).toHaveNumberWithinRange('child.grandchild', 0, 10);
             */
            toHaveNumberWithinRange(propPath: string, floor: number, ceiling: number): boolean;
        }
    }
}
export declare const toHaveNumberWithinRangeMatcher: () => {
    compare(value: any, propPath: string, floor: number, ceiling: number): {
        message: string;
        pass: boolean;
    };
};
