"use strict";
exports.__esModule = true;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
var get_in_1 = require("./lib/get-in");
exports.toHaveNumberWithinRangeMatcher = function () {
    return {
        compare: function (value, propPath, floor, ceiling) {
            var pass = expect_more_1.isWithinRange(floor, ceiling, get_in_1.getIn(propPath.split('.'), value));
            var message = pass
                ? "expected value at '" + jest_matcher_utils_1.printExpected(propPath) + "' not to be greater than or equal to " + jest_matcher_utils_1.printExpected(floor) + " and less than or equal to " + jest_matcher_utils_1.printExpected(ceiling)
                : "expected value at '" + jest_matcher_utils_1.printExpected(propPath) + "' to be greater than or equal to " + jest_matcher_utils_1.printExpected(floor) + " and less than or equal to " + jest_matcher_utils_1.printExpected(ceiling);
            return { message: message, pass: pass };
        }
    };
};
beforeAll(function () {
    jasmine.addMatchers({
        toHaveNumberWithinRange: exports.toHaveNumberWithinRangeMatcher
    });
});
