declare global {
    namespace jasmine {
        interface Matchers<T> {
            /**
             * Asserts that ${value} is a valid `Number` or `new Number()` and not `NaN`.
             * @example
             * expect({ child: { grandchild: 8 } }).toHaveNumber('child.grandchild');
             */
            toHaveNumber(propPath: string): boolean;
        }
    }
}
export declare const toHaveNumberMatcher: () => {
    compare(value: any, propPath: string): {
        message: string;
        pass: boolean;
    };
};
