declare global {
    namespace jasmine {
        interface Matchers<T> {
            /**
             * Asserts that ${value} is a `String` or `Array` whose length is the same as that of ${otherStringOrArray}.
             * @example
             * expect({ child: { grandchild: ['i also have', '2 items'] } }).toHaveSameLengthAs('child.grandchild', ['i have', '2 items']);
             */
            toHaveSameLengthAs(propPath: string, otherStringOrArray: string | any[]): boolean;
        }
    }
}
export declare const toHaveSameLengthAsMatcher: () => {
    compare(value: any, propPath: string, otherStringOrArray: string | any[]): {
        message: string;
        pass: boolean;
    };
};
