declare global {
    namespace jasmine {
        interface Matchers<T> {
            /**
             * Asserts that ${value} is a `String` or `Array` whose length is less than that of ${otherStringOrArray}.
             * @example
             * expect({ child: { grandchild: ['i have one item'] } }).toHaveShorterThan('child.grandchild', ['i', 'have', 4, 'items']);
             */
            toHaveShorterThan(propPath: string, otherStringOrArray: string | any[]): boolean;
        }
    }
}
export declare const toHaveShorterThanMatcher: () => {
    compare(value: any, propPath: string, otherStringOrArray: string | any[]): {
        message: string;
        pass: boolean;
    };
};
