"use strict";
exports.__esModule = true;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
var get_in_1 = require("./lib/get-in");
exports.toHaveShorterThanMatcher = function () {
    return {
        compare: function (value, propPath, otherStringOrArray) {
            var pass = expect_more_1.isShorterThan(otherStringOrArray, get_in_1.getIn(propPath.split('.'), value));
            var message = pass
                ? "expected value at '" + jest_matcher_utils_1.printExpected(propPath) + "' not to be a string or array whose length is less than that of " + jest_matcher_utils_1.printExpected(otherStringOrArray)
                : "expected value at '" + jest_matcher_utils_1.printExpected(propPath) + "' to be a string or array whose length is less than that of " + jest_matcher_utils_1.printExpected(otherStringOrArray);
            return { message: message, pass: pass };
        }
    };
};
beforeAll(function () {
    jasmine.addMatchers({
        toHaveShorterThan: exports.toHaveShorterThanMatcher
    });
});
