declare global {
    namespace jasmine {
        interface Matchers<T> {
            /**
             * Assert value is a string whose leading characters are equal to `other`.
             * @example
             * expect({ child: { grandchild: 'JavaScript' } }).toHaveStartingWith('child.grandchild', 'Java');
             */
            toHaveStartingWith(propPath: string, otherString: string): boolean;
        }
    }
}
export declare const toHaveStartingWithMatcher: () => {
    compare(value: any, propPath: string, otherString: string): {
        message: string;
        pass: boolean;
    };
};
