"use strict";
exports.__esModule = true;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
var get_in_1 = require("./lib/get-in");
exports.toHaveStartingWithMatcher = function () {
    return {
        compare: function (value, propPath, otherString) {
            var pass = expect_more_1.startsWith(otherString, get_in_1.getIn(propPath.split('.'), value));
            var message = pass
                ? "expected value at '" + jest_matcher_utils_1.printExpected(propPath) + "' not to start with " + jest_matcher_utils_1.printExpected(otherString)
                : "expected value at '" + jest_matcher_utils_1.printExpected(propPath) + "' to start with " + jest_matcher_utils_1.printExpected(otherString);
            return { message: message, pass: pass };
        }
    };
};
beforeAll(function () {
    jasmine.addMatchers({
        toHaveStartingWith: exports.toHaveStartingWithMatcher
    });
});
