declare global {
    namespace jasmine {
        interface Matchers<T> {
            /**
             * Asserts that ${value} is an instance of `Date` whose internal value is valid. `Date` is little like `Promise` in that it is a container for a value. For example, `new Date('wut?')` is a valid `Date` which wraps a value that is not valid.
             * @example
             * expect({ child: { grandchild: new Date('2020-01-01') } }).toHaveValidDate('child.grandchild');
             */
            toHaveValidDate(propPath: string): boolean;
        }
    }
}
export declare const toHaveValidDateMatcher: () => {
    compare(value: any, propPath: string): {
        message: string;
        pass: boolean;
    };
};
