declare global {
    namespace jasmine {
        interface Matchers<T> {
            /**
             * Asserts that ${value} is a `Number` with no positive decimal places.
             * @example
             * expect({ child: { grandchild: 8 } }).toHaveWholeNumber('child.grandchild');
             */
            toHaveWholeNumber(propPath: string): boolean;
        }
    }
}
export declare const toHaveWholeNumberMatcher: () => {
    compare(value: any, propPath: string): {
        message: string;
        pass: boolean;
    };
};
